/*
	$Id: Exception.h 1229 2018-12-01 16:17:09Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4c_Exception_h__
#define __ldap4c_Exception_h__

#include <ldap4c/ldap4c.h>

#include <Base4c/Exception.h>

namespace Ldap4c
{
	const int LDX_ALIENEXCEPTION = Base4c::B4CX_DERIVEDBASE + 1;
	const int LDX_LDAPERROR = Base4c::B4CX_DERIVEDBASE + 2;
	const int LDX_OBJECTNOTFOUND = Base4c::B4CX_DERIVEDBASE + 10;
	const int LDX_SEELEGEND = Base4c::B4CX_DERIVEDBASE + 50;
	const int LDX_NOSUCHCOUNTRY = Base4c::B4CX_DERIVEDBASE + 100;
	const int LDX_NOSUCHGROUPOFNAMES = Base4c::B4CX_DERIVEDBASE + 101;
	const int LDX_NOSUCHINETORGPERSON = Base4c::B4CX_DERIVEDBASE + 102;
	const int LDX_NOCOUNTRYSET = Base4c::B4CX_DERIVEDBASE + 200;
	const int LDX_NOGROUPOFNAMESSET = Base4c::B4CX_DERIVEDBASE + 201;
	const int LDX_NOINETORGPERSONSET = Base4c::B4CX_DERIVEDBASE + 202;
	const int LDX_NOCOUNTRYSELECTED = Base4c::B4CX_DERIVEDBASE + 300;
	const int LDX_NOGROUPOFNAMESSELECTED = Base4c::B4CX_DERIVEDBASE + 301;
	const int LDX_NOINETORGPERSONSELECTED = Base4c::B4CX_DERIVEDBASE + 302;

	class LDAP4c_Export Exception : public Base4c::Exception
	{
		public:
			Exception( int nErrorCode, bool bFatal = false, const std::string& strLegend = std::string() );
			Exception( const std::string& strFile, int nLine, int nErrorCode, bool bFatal = false, const std::string& strLegend = std::string() );
			Exception( const Exception& exception );
			virtual ~Exception();

			const Exception& operator=( const Exception& exception );

			static const std::string explainErrorCode( int nErrorCode );

		protected:
			Exception();
	};
}

#endif /* !__ldap4c_Exception_h__ */
