/*
	$Id: ldap4c.h 1227 2018-12-01 15:28:02Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4c_ldap4c_h__
#define __ldap4c_ldap4c_h__

#include <Base4c/Version.h>

#include <string>

#ifdef LDAP4c_Export
#	undef LDAP4c_Export
#endif

#if defined (_WINDOWS)
#	ifdef LDAP4C_LIBRARY
#		define LDAP4c_Export __declspec( dllexport )
#	else
#		define LDAP4c_Export __declspec( dllimport )
#	endif
#	pragma warning (disable: 4251)
#	pragma warning (disable: 4290)
#elif defined (LINUX)
#	define LDAP4c_Export
#else
#	pragma error "No Build Environment defined"
#endif

namespace Ldap4c
{
	LDAP4c_Export const std::string& product();
	LDAP4c_Export const Base4c::Version& version();
	LDAP4c_Export const std::string& copyright();
}

#endif /* !__ldap4c_ldap4c_h__ */
