/*
	$Id: CountryComboBox.h 1226 2018-11-30 16:10:42Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_CountryComboBox_h__
#define __ldap4cUIComponents_CountryComboBox_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4c/country.h>

#include <QComboBox>

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT CountryComboBox : public QComboBox
	{
		Q_OBJECT

		public:
			CountryComboBox( QWidget* pparent = NULL );
			virtual ~CountryComboBox();

			void populate();

			const Ldap4c::country& currentItem();
			void setCurrentItem( const Ldap4c::country& ctry );

		protected slots:
			void onActivated( int nCurrentIndex );

		signals:
			void activated( const Ldap4c::country& );
	};
}

#endif /* !__ldap4cUIComponents_CountryComboBox_h__ */
