/*
	$Id: GroupWidget.h 1231 2018-12-01 19:46:23Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_GroupWidget_h__
#define __ldap4cUIComponents_GroupWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4c/groupOfNames.h>

#include <QWidget>

namespace Ui
{
	class GroupWidget;
}

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT GroupWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::GroupWidget *ui;

		public:
			explicit GroupWidget(QWidget *parent = 0);
			~GroupWidget();

		protected slots:
			void onActivatedGroupOfNamesComboBox( const Ldap4c::groupOfNames& );
			void onToggledGroupCheckBox(bool);
			void onItemActivated( const Ldap4c::inetOrgPerson& );
			void onItemClicked( const Ldap4c::inetOrgPerson& );
			void onItemDoubleClicked( const Ldap4c::inetOrgPerson& );
			void onCMReqMember( const QPoint& );

		signals:
			void inetOrgPersonActivated( const Ldap4c::inetOrgPerson& );
			void inetOrgPersonClicked( const Ldap4c::inetOrgPerson& );
			void inetOrgPersonDoubleClicked( const Ldap4c::inetOrgPerson& );
	};
}

#endif /* !__ldap4cUIComponents_GroupWidget_h__ */
