/*
	$Id: IOPAddressWidget.h 1232 2018-12-01 20:29:13Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_IOPAddressWidget_h__
#define __ldap4cUIComponents_IOPAddressWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4cUIComponents/CountryComboBox.h>

#include <QWidget>
#include <QLineEdit>
#include <QPlainTextEdit>

namespace Ui
{
	class IOPAddressWidget;
}

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT IOPAddressWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::IOPAddressWidget *ui;

		public:
			explicit IOPAddressWidget(QWidget *parent = 0);
			~IOPAddressWidget();

			QLineEdit* street();
			QLineEdit* l();
			QLineEdit* st();
			QLineEdit* postalCode();
			CountryComboBox* country();
			QPlainTextEdit* homePostalAddress();

			friend class InetOrgPersonDialog;
	};
}

#endif /* !__ldap4cUIComponents_IOPAddressWidget_h__ */
