/*
	$Id: IOPContactWidget.h 1233 2018-12-02 13:06:35Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_IOPContactWidget_h__
#define __ldap4cUIComponents_IOPContactWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <QWidget>
#include <QLineEdit>
#include <QPlainTextEdit>

namespace Ui
{
	class IOPContactWidget;
}

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT IOPContactWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::IOPContactWidget *ui;

		public:
			explicit IOPContactWidget(QWidget *parent = 0);
			~IOPContactWidget();

			QLineEdit* telephoneNumber();
			QLineEdit* homePhone();
			QLineEdit* mobile();
			QPlainTextEdit* mail();

			friend class InetOrgPersonDialog;
	};
}

#endif /* !__ldap4cUIComponents_IOPContactWidget_h__ */
