/*
	$Id: IOPPersonWidget.h 1237 2018-12-02 15:36:11Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_IOPPersonWidget_h__
#define __ldap4cUIComponents_IOPPersonWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <QWidget>
#include <QLineEdit>

namespace Ui
{
	class IOPPersonWidget;
}

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT IOPPersonWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::IOPPersonWidget *ui;
			QString _strFullName;

		public:
			explicit IOPPersonWidget(QWidget *parent = 0);
			~IOPPersonWidget();

			QLineEdit* givenName();
			QLineEdit* sn();
			QLineEdit* dn();
			QLineEdit* displayName();
			QLineEdit* initials();
			QLineEdit* o();
			QLineEdit* title();

			friend class InetOrgPersonDialog;

		protected slots:
			void onChangedName( const QString& /*strName*/ );

	};
}

#endif /* !__ldap4cUIComponents_IOPPersonWidget_h__ */
