/*
	$Id: InetOrgPersonDialog.h 1237 2018-12-02 15:36:11Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_InetOrgPersonDialog_h__
#define __ldap4cUIComponents_InetOrgPersonDialog_h__

#include<ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4c/inetOrgPerson.h>

#include <QDialog>

namespace Ui
{
	class InetOrgPersonDialog;
}

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT InetOrgPersonDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::InetOrgPersonDialog *ui;
			bool _bCreate;

		public:
			explicit InetOrgPersonDialog( QWidget* parent, Ldap4c::inetOrgPerson person = Ldap4c::inetOrgPerson() );
			~InetOrgPersonDialog();

		protected slots:
			virtual void accept();
			virtual void reject();
	};
}

#endif /* !__ldap4cUIComponents_InetOrgPersonDialog_h__ */
