/*
	$Id: InetOrgPersonListWidget.h 1231 2018-12-01 19:46:23Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_InetOrgPersonListWidget_h__
#define __ldap4cUIComponents_InetOrgPersonListWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4c/inetOrgPerson.h>

#include <QListWidget>

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT InetOrgPersonListWidget : public QListWidget
	{
		Q_OBJECT

		private:

		public:
			InetOrgPersonListWidget( QWidget* pparent = NULL );

			void populate( const Ldap4c::inetOrgPersonMap& personS );
			void populate( const Ldap4c::inetOrgPersonPtrMap& personS );

		protected slots:
			void onItemActivated( QListWidgetItem *pitem );
			void onItemClicked( QListWidgetItem *pitem );
			void onItemDoubleClicked( QListWidgetItem *pitem );

		signals:
			void itemActivated( const Ldap4c::inetOrgPerson& );
			void itemClicked( const Ldap4c::inetOrgPerson& );
			void itemDoubleClicked( const Ldap4c::inetOrgPerson& );
	};
}

#endif /* !__ldap4cUIComponents_InetOrgPersonListWidget_h__ */
