/*
	$Id: InetOrgPersonWidget.h 1227 2018-12-01 15:28:02Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ldap4cUIComponents_InetOrgPersonWidget_h__
#define __ldap4cUIComponents_InetOrgPersonWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <ldap4c/inetOrgPerson.h>

#include <QTextBrowser>

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT InetOrgPersonWidget : public QTextBrowser
	{
		Q_OBJECT

		public:
			InetOrgPersonWidget( QWidget* pparent = NULL );

			void setInetOrgPerson( const Ldap4c::inetOrgPerson& person );

			void replaceAll( std::string& str, const std::string& from, const std::string& to );
	};
}

#endif /* !__ldap4cUIComponents_InetOrgPersonWidget_h__ */
